export const PageComponents = {
    install(Vue: any, opt: any) {
                Vue.component('eamasset-type-pickup-view', () => import('@pages/asset/eamasset-type-pickup-view/eamasset-type-pickup-view.vue'));
        Vue.component('eamasset-state-model-line-edit-view', () => import('@pages/asset/eamasset-state-model-line-edit-view/eamasset-state-model-line-edit-view.vue'));
        Vue.component('eamasset-tree-exp-view', () => import('@pages/asset/eamasset-tree-exp-view/eamasset-tree-exp-view.vue'));
        Vue.component('eamasset-child-grid-view', () => import('@pages/asset/eamasset-child-grid-view/eamasset-child-grid-view.vue'));
        Vue.component('eamlocation-edit-view', () => import('@pages/location/eamlocation-edit-view/eamlocation-edit-view.vue'));
        Vue.component('eamlocation-tree-exp-view', () => import('@pages/location/eamlocation-tree-exp-view/eamlocation-tree-exp-view.vue'));
        Vue.component('eamasset-state-edit-view', () => import('@pages/asset/eamasset-state-edit-view/eamasset-state-edit-view.vue'));
        Vue.component('eamlocation-tree-child-grid-view', () => import('@pages/location/eamlocation-tree-child-grid-view/eamlocation-tree-child-grid-view.vue'));
        Vue.component('eamlocation-state-pickup-grid-view', () => import('@pages/location/eamlocation-state-pickup-grid-view/eamlocation-state-pickup-grid-view.vue'));
        Vue.component('eamasset-grid-view', () => import('@pages/asset/eamasset-grid-view/eamasset-grid-view.vue'));
        Vue.component('eamlocation-state-model-pickup-grid-view', () => import('@pages/location/eamlocation-state-model-pickup-grid-view/eamlocation-state-model-pickup-grid-view.vue'));
        Vue.component('eamlocation-pickup-view', () => import('@pages/location/eamlocation-pickup-view/eamlocation-pickup-view.vue'));
        Vue.component('eamlocation-state-model-pickup-view', () => import('@pages/location/eamlocation-state-model-pickup-view/eamlocation-state-model-pickup-view.vue'));
        Vue.component('eamlocation-state-pickup-view', () => import('@pages/location/eamlocation-state-pickup-view/eamlocation-state-pickup-view.vue'));
        Vue.component('eamlocation-info-main-view', () => import('@pages/location/eamlocation-info-main-view/eamlocation-info-main-view.vue'));
        Vue.component('eamasset-state-pickup-view', () => import('@pages/asset/eamasset-state-pickup-view/eamasset-state-pickup-view.vue'));
        Vue.component('eamasset-state-grid-view', () => import('@pages/asset/eamasset-state-grid-view/eamasset-state-grid-view.vue'));
        Vue.component('eamlocation-type-pickup-view', () => import('@pages/location/eamlocation-type-pickup-view/eamlocation-type-pickup-view.vue'));
        Vue.component('eamasset-info-main-view', () => import('@pages/asset/eamasset-info-main-view/eamasset-info-main-view.vue'));
        Vue.component('eamasset-state-model-grid-view', () => import('@pages/asset/eamasset-state-model-grid-view/eamasset-state-model-grid-view.vue'));
        Vue.component('eamasset-edit-view', () => import('@pages/asset/eamasset-edit-view/eamasset-edit-view.vue'));
        Vue.component('eamasset-type-grid-view', () => import('@pages/asset/eamasset-type-grid-view/eamasset-type-grid-view.vue'));
        Vue.component('eamasset-state-model-pickup-grid-view', () => import('@pages/asset/eamasset-state-model-pickup-grid-view/eamasset-state-model-pickup-grid-view.vue'));
        Vue.component('eamasset-location-asset-grid-view', () => import('@pages/asset/eamasset-location-asset-grid-view/eamasset-location-asset-grid-view.vue'));
        Vue.component('eamlocation-info-view', () => import('@pages/location/eamlocation-info-view/eamlocation-info-view.vue'));
        Vue.component('eamlocation-type-pickup-grid-view', () => import('@pages/location/eamlocation-type-pickup-grid-view/eamlocation-type-pickup-grid-view.vue'));
        Vue.component('eamasset-type-edit-view', () => import('@pages/asset/eamasset-type-edit-view/eamasset-type-edit-view.vue'));
        Vue.component('eamasset-summary-view', () => import('@pages/asset/eamasset-summary-view/eamasset-summary-view.vue'));
        Vue.component('eamasset-state-model-line-grid-view', () => import('@pages/asset/eamasset-state-model-line-grid-view/eamasset-state-model-line-grid-view.vue'));
        Vue.component('eamlocation-type-grid-view', () => import('@pages/location/eamlocation-type-grid-view/eamlocation-type-grid-view.vue'));
        Vue.component('eamlocation-state-edit-view', () => import('@pages/location/eamlocation-state-edit-view/eamlocation-state-edit-view.vue'));
        Vue.component('eamasset-info-view', () => import('@pages/asset/eamasset-info-view/eamasset-info-view.vue'));
        Vue.component('eamasset-state-model-edit-view', () => import('@pages/asset/eamasset-state-model-edit-view/eamasset-state-model-edit-view.vue'));
        Vue.component('eamasset-state-pickup-grid-view', () => import('@pages/asset/eamasset-state-pickup-grid-view/eamasset-state-pickup-grid-view.vue'));
        Vue.component('eamlocation-state-model-edit-view', () => import('@pages/location/eamlocation-state-model-edit-view/eamlocation-state-model-edit-view.vue'));
        Vue.component('eamasset-state-model-pickup-view', () => import('@pages/asset/eamasset-state-model-pickup-view/eamasset-state-model-pickup-view.vue'));
        Vue.component('eamasset-pickup-grid-view', () => import('@pages/asset/eamasset-pickup-grid-view/eamasset-pickup-grid-view.vue'));
        Vue.component('eamlocation-state-model-line-edit-view', () => import('@pages/location/eamlocation-state-model-line-edit-view/eamlocation-state-model-line-edit-view.vue'));
        Vue.component('eamlocation-child-grid-view', () => import('@pages/location/eamlocation-child-grid-view/eamlocation-child-grid-view.vue'));
        Vue.component('eamlocation-state-list-exp-view', () => import('@pages/location/eamlocation-state-list-exp-view/eamlocation-state-list-exp-view.vue'));
        Vue.component('eamlocation-state-model-line-grid-view', () => import('@pages/location/eamlocation-state-model-line-grid-view/eamlocation-state-model-line-grid-view.vue'));
        Vue.component('eamlocation-type-edit-view', () => import('@pages/location/eamlocation-type-edit-view/eamlocation-type-edit-view.vue'));
        Vue.component('eamlocation-pickup-grid-view', () => import('@pages/location/eamlocation-pickup-grid-view/eamlocation-pickup-grid-view.vue'));
        Vue.component('eamlocation-summary-view', () => import('@pages/location/eamlocation-summary-view/eamlocation-summary-view.vue'));
        Vue.component('eamasset-quick-create-view', () => import('@pages/asset/eamasset-quick-create-view/eamasset-quick-create-view.vue'));
        Vue.component('eamasset-pickup-view', () => import('@pages/asset/eamasset-pickup-view/eamasset-pickup-view.vue'));
        Vue.component('eamlocation-grid-view', () => import('@pages/location/eamlocation-grid-view/eamlocation-grid-view.vue'));
        Vue.component('eamlocation-state-model-grid-view', () => import('@pages/location/eamlocation-state-model-grid-view/eamlocation-state-model-grid-view.vue'));
        Vue.component('eamasset-type-pickup-grid-view', () => import('@pages/asset/eamasset-type-pickup-grid-view/eamasset-type-pickup-grid-view.vue'));
    }
};